import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusParkingLotAttrQuickfunc } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-08 15:22
 */
interface BusParkingLotAttrQuickfuncCU extends ConditionUtil<BusParkingLotAttrQuickfuncCU> {
    ID: FieldUtil<BusParkingLotAttrQuickfuncCU>;
    ORD: FieldUtil<BusParkingLotAttrQuickfuncCU>;
    ICON: FieldUtil<BusParkingLotAttrQuickfuncCU>;
    TITLE: FieldUtil<BusParkingLotAttrQuickfuncCU>;
    URL: FieldUtil<BusParkingLotAttrQuickfuncCU>;
}
declare class BusParkingLotAttrQuickfuncMU extends TableUtilImpl<BusParkingLotAttrQuickfuncCU, BusParkingLotAttrQuickfunc> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusParkingLotAttrQuickfuncCU;
    static get ID(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    static get ORD(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    static get ICON(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    static get TITLE(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    static get URL(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    get ID(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    get ORD(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    get ICON(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    get TITLE(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
    get URL(): FieldUtil<BusParkingLotAttrQuickfuncCU>;
}
export { BusParkingLotAttrQuickfuncMU, BusParkingLotAttrQuickfuncCU };
